<mat-toolbar class="toolbar">
    <div class="toolbar-container">
      <div>
        <button mat-button [routerLink]="'vacation'">
          Urlaubsplanung
        </button>
        <button mat-button [routerLink]="'worktime'">
          Arbeitszeiterfassung
        </button>
    </div>
        <div class="user"><p>{{user}}</p>
            <button mat-icon-button [mat-menu-trigger-for]="menu">
                <mat-icon>account_circle</mat-icon>
            </button>
            <mat-menu #menu>
                <button mat-menu-item (click)="logout()">
                    Abmelden
                </button>
            </mat-menu>
            <img class="image" src="../assets/ATIW-Bild.PNG">
        </div>
    </div>
  </mat-toolbar>
  <router-outlet *ngIf="!isIframe"></router-outlet>

<mat-sidenav-container color="accent">
  <div class="footer" #footer>
      <mat-grid-list cols="4" rowHeight="8:1">
          <mat-grid-tile>
              <div>
                  <mat-label>Urlaubstage ausgewählt: 
                      <br> 
                      <mat-label class="hint">*Exklusive Wochenenden</mat-label>
                  </mat-label>
              </div>
          </mat-grid-tile>
          <mat-grid-tile>
              <div>{{daySelected}}</div>
          </mat-grid-tile>
          <mat-grid-tile>
              <div></div>
          </mat-grid-tile>
          <mat-grid-tile>
              <div></div>
          </mat-grid-tile>
          <mat-grid-tile>
              <div>
                  <mat-label>Resturlaub aktuell:
                      <br> 
                      <mat-label class="hint">*Vor Antragstellung im Jahr {{jahrAktuell}}</mat-label>
                  </mat-label>
              </div>
          </mat-grid-tile>
          <mat-grid-tile>
              <div>{{vacationDays}}</div>
          </mat-grid-tile>
          <mat-grid-tile>
              <div>
                  <mat-label>Restüberstunden aktuell: 
                      <br> 
                      <mat-label class="hint">*Vor Antragstellung für Jahr {{jahrAktuell}}</mat-label>
                  </mat-label>
              </div>
          </mat-grid-tile>
          <mat-grid-tile>
              <div>{{zakDays}}</div>
          </mat-grid-tile>
          <mat-grid-tile >
              <div>
                  <mat-label>Resturlaub nach Antrag:
                      <br> 
                      <mat-label class="hint">*Berechnung: Resturlaub - Urlaubstage</mat-label>
                  </mat-label>
              </div>
          </mat-grid-tile>
          <mat-grid-tile>
              <div *ngIf="!zakClicked">{{vacationDays-daySelected}}</div>
              <div *ngIf="zakClicked">{{vacationDays}}</div>
          </mat-grid-tile>
          <mat-grid-tile>
              <div>
                  <mat-label>Restüberstunden nach Antrag:
                      <br> 
                      <mat-label class="hint">*Berechnung: Restüberstunden - Urlaubstage</mat-label>
                  </mat-label>
              </div>
          </mat-grid-tile>
          <mat-grid-tile>
            <div *ngIf="zakClicked">{{(zakDays-daySelected)*dailyWork}}</div>
            <div *ngIf="!zakClicked">{{zakDays}}</div>
          </mat-grid-tile>
      </mat-grid-list>
  </div>
</mat-sidenav-container>
